Bug 759806 - dump support new e2fsprogs-1.42 64bit feature (>16TB fs)
dump support new e2fsprogs-1.42 64bit feature (>16TB fs)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-03 17:46 EST by Fabrice Bellet
Modified: 2013-05-14 08:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 08:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2011-12-03 17:46:22 EST
It would be great if dump could support the new '64bit' feature added in e2fsprogs-1.42, for filesystems size > 16TB :

[root@fileserver ~]# dumpe2fs -h /dev/sdb1 | grep fea
dumpe2fs 1.42 (29-Nov-2011)
Filesystem features:      has_journal ext_attr dir_index filetype needs_recovery extent 64bit flex_bg sparse_super large_file huge_file uninit_bg dir_nlink extra_isize
Journal features:         journal_incompat_revoke FEATURE_I1

[root@fileserver ~]# dump -0 -f /dev/null -a -h 0 -b 512 /dev/sdb1
  DUMP: mount: bad UUID
  DUMP: Date of this level 0 dump: Sat Dec  3 23:45:04 2011
  DUMP: Dumping /dev/sdb1 (/mnt/raid) to /dev/null
  DUMP: Unsupported feature(s) 0x80 in filesystem
/dev/sdb1: Filesystem has unsupported feature(s) while opening filesystem
  DUMP: The ENTIRE dump is aborted.
Comment 1 Fedora Admin XMLRPC Client 2013-04-03 06:03:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-04-03 13:01:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Petr Hracek 2013-05-14 08:13:21 EDT
Hello Fabrice,

currently in Fedora 19 we have following version:
- dump-0.4b44
- e2fsprogs-1.42.7

Both versions should support 64BIT for filesystems bigger than 16TB.

In release notes for e2fsprogs
http://e2fsprogs.sourceforge.net/e2fsprogs-release.html#1.42.7
http://e2fsprogs.sourceforge.net/e2fsprogs-release.html#1.42.6
is mentioned that 16TB is supported. Especially 1.42.6.

The bug is closed with CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.